### Name: caBiExp
### Title: BiExponential Time Course of Intracellular Calcium Concentration
### Aliases: caBiExp


### ** Examples

  ## Simulate a biexponential calcium transient
  Ca <- caBiExp(t    = seq(0,20,0.1),
                tOn  = 2,
                Ca0  = 0.25,
                dCa  = 1,
                tau  = 2,
                fact = 0.7,
                dtau = 8)

  ## Plot the calcium transient vs. time
  plot(attr(Ca,"Time"), Ca, type="l")

  ## Add a vertical dashed line at tOn
  abline(v = attr(Ca,"tOn"), lty = 2)



