### Name: caMonoBiExpFromIG
### Title: Mono- or Bi- Exponential Time Course of Intracellular Calcium
###   Concentration
### Aliases: caMonoBiExpFromIG


### ** Examples

  ## Parameters of the calcium transient
  Ca0 <- 0.10
  dCa <- 0.25
  tau <- 1

  ## List of initial guesses
  ig_mono <- list(log_Ca0 = log(Ca0),
                  log_dCa = log(dCa),
                  log_tau = log(tau))
  class(ig_mono) <- "initial_guess"

  ## Build the calcium transient
  Ca <- caMonoBiExpFromIG(t   = seq(0,10,0.1),
                          tOn = 2,
                          ig  = ig_mono)

  ## Plot the calcium transient vs. time
  plot(attr(Ca,"Time"), Ca, type="l")

  ## Add a vertical dashed line at tOn
  abline(v = attr(Ca,"tOn"), lty = 2)



