### Name: caMonoExp
### Title: MonoExponential Time Course of Intracellular Calcium
###   Concentration
### Aliases: caMonoExp


### ** Examples

  ## Simulate a monoexponential calcium transient
  Ca <- caMonoExp(t    = seq(0,10,0.1),
                  tOn  = 2,
                  Ca0  = 0.25,
                  dCa  = 1,
                  tau  = 2)

  ## Plot the calcium transient vs. time
  plot(attr(Ca,"Time"),Ca,type="l")

  ## Add a vertical dashed line at tOn
  abline(v = attr(Ca,"tOn"), lty = 2)



