### Name: mkFunction4RatioFit
### Title: Function for Ratiometric Fit with the nls function
### Aliases: mkFunction4RatioFit


### ** Examples

## Time parameters
tOn <- 1
Time <- seq(0,30,0.1)
Ca0 <- 0.10
dCa <- 0.25
tau <- 1.5
mu <- 2
dtau <- 10

## Define a calcium biexponential decay with the
## mkCa_MonoBiExp_4_RatioFit function
Ca_biexp_fct <- mkFunction4RatioFit(type = "bi")

Ca_biexp_decay1 <- Ca_biexp_fct(t = Time, tOn = tOn,
                                log_Ca0 = log(Ca0),
                                log_dCa = log(dCa),
                                log_tau = log(tau),
                                mu = mu,
                                log_dtau = log(dtau))

## Define a calcium biexponential decay with the
## caBiExp function
Ca_biexp_decay2 <- caBiExp(t = Time, tOn = tOn, Ca0 = Ca0,
                           dCa = dCa, tau = tau,
                           fact = 1/(1+exp(-mu)), dtau = dtau)

## Check that both decays are similar
plot(Time, Ca_biexp_decay1, type="l", lwd=2)
lines(Time, Ca_biexp_decay2, col="red", lty=2, lwd=2)



